Subject: Re: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 31 Oct 2021 17:11:33 -0400

Hello,

Guillaume Le Vaillant <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> I've experimented quite a bit with core-updates-frozen-batched-changes
>> in the last weeks, and it seems to be in a decent shape, good enough to
>> merge into core-updates-frozen, I think.
>>
>> [...]
>>
>> I'll send the corresponding patches for review, which can also be
>> consulted directly on the core-updates-frozen-batched-changes branch,
>> which I've manually built on Berlin for things such as Rust and
>> ungoogled-chromium.
>>
>> I'd like to merge it into core-updates-frozen by the beginning of
>> November, unless there are problems you can spot :-).
>
> Hi Maxim,
>
> I think that when you rewrote the core-updates-frozen-batched-changes
> branch you lost the commit that Mathieu added to fix the evaluations on
> the CI [1], and this is why they are now failing.
>
> The patch is in attachment (I found it in the guix-commits mailing
> list). If you add it back to the branch, the CI should start building
> substitutes again.
>
> [1] https://ci.guix.gnu.org/eval/36297

Thanks a lot!  And sorry for missing that.  I've applied it to the
branch and pushed!  Let's see if the CI is happy again :-).

Maxim